%define upstream_name    multidimensional
%define upstream_version 0.014

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Disables multidmensional array emulation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Hooks::OP::Check) >= 0.190.0
BuildRequires: perl(CPAN::Meta) >= 2.112.580
BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Lexical::SealRequireHints) >= 0.5.0
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
Provides:   perl(multidimensional)

%description
Perl's multidimensional array emulation stems from the days before the
language had references, but these days it mostly serves to bite you when
you typo a hash slice by using the '$' sigil instead of '@'.

This module lexically makes using multidmensional array emulation a fatal
error at compile time.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.14.0-12.mga10
+ Revision: 2226570
- Mageia 10 Mass Rebuild

* Fri Aug 23 2024 tv <tv> 0.14.0-11.mga10
+ Revision: 2089037
- Rebuild for perl-5.40

* Thu Nov 30 2023 tv <tv> 0.14.0-10.mga10
+ Revision: 2011604
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.14.0-9.mga9
+ Revision: 1862179
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.14.0-8.mga9
+ Revision: 1795932
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.14.0-7.mga9
+ Revision: 1726908
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.14.0-6.mga8
+ Revision: 1594934
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.14.0-5.mga8
+ Revision: 1529857
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.14.0-4.mga8
+ Revision: 1433842
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.14.0-3.mga7
+ Revision: 1294084
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.14.0-2.mga7
+ Revision: 1249949
- Rebuild for perl 5.28

* Tue May 01 2018 tv <tv> 0.14.0-1.mga7
+ Revision: 1224375
- update to 0.014

* Tue Oct 03 2017 tv <tv> 0.13.0-3.mga7
+ Revision: 1165831
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.13.0-2.mga7
+ Revision: 1149858
- Rebuild for perl ABI changes

* Mon Jul 24 2017 sander85 <sander85> 0.13.0-1.mga7
+ Revision: 1130036
- update to 0.013
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.11.0-10.mga6
+ Revision: 1030832
- Rebuild for perl 5.22.2

* Wed Jan 13 2016 buchan <buchan> 0.11.0-9.mga6
+ Revision: 922437
- Use vendorarch instead of vendorlib, so the package doesnt own vendorarch,
 and also builds when vendorarch is not a subdirectory of vendorlib

* Fri Jun 26 2015 tv <tv> 0.11.0-8.mga6
+ Revision: 845035
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.11.0-7.mga6
+ Revision: 840805
- Rebuild for perl 5.22
+ shlomif <shlomif>
- Rebuild for new perl

* Wed Oct 15 2014 umeabot <umeabot> 0.11.0-5.mga5
+ Revision: 746077
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.11.0-4.mga5
+ Revision: 687043
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.11.0-3.mga5
+ Revision: 632358
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.11.0-2.mga4
+ Revision: 525243
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 0.11.0-1.mga4
+ Revision: 432577
- update to 0.011

* Wed May 29 2013 jquelin <jquelin> 0.10.0-4.mga4
+ Revision: 431859
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-3.mga3
+ Revision: 375514
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 21 2012 jquelin <jquelin> 0.10.0-2.mga3
+ Revision: 308850
- adding missing provides

* Sun Aug 05 2012 shlomif <shlomif> 0.10.0-1.mga3
+ Revision: 278917
- Missing BR
- imported package perl-multidimensional


* Sun Aug 05 2012 cpan2dist 0.010-1mga
- initial mageia release, generated with cpan2dist
